List which purchase order each invoice line bills
curl --request GET \
--url https://api.watchdog.no/v1/invoices/{id}/purchase-orders/allocations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.watchdog.no/v1/invoices/{id}/purchase-orders/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.watchdog.no/v1/invoices/{id}/purchase-orders/allocations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"restricted": false,
"invoice_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": "line",
"purchase_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purchase_order_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_lines": [
{
"purchase_order_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billed_amount": "<string>",
"billed_quantity": "<string>"
}
],
"basis": "reference"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"message": "The request is invalid. details lists up to 20 field errors. Request bodies are limited to 2 MiB.",
"request_id": "req_example"
}
}{
"error": {
"code": "invalid_token",
"message": "The bearer token is missing or invalid.",
"request_id": "req_example"
}
}{
"error": {
"code": "forbidden",
"message": "Access denied. The error code says why: forbidden, token_disabled, organization_required, insufficient_role or mfa_required.",
"request_id": "req_example"
}
}{
"error": {
"code": "not_found",
"message": "The resource does not exist in the current organization.",
"request_id": "req_example"
}
}{
"error": {
"code": "conflict",
"message": "The invoice, accepted relationship, currency or order lifecycle is not eligible for this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Wait for the Retry-After delay before retrying.",
"request_id": "req_example"
}
}{
"error": {
"code": "internal_error",
"message": "Unexpected server failure. Include the request ID when contacting support.",
"request_id": "req_example"
}
}{
"error": {
"code": "service_unavailable",
"message": "Temporarily unavailable. Retry after the Retry-After delay, when provided.",
"request_id": "req_example"
}
}Invoices
List which purchase order each invoice line bills
One row per assigned or excluded line. A line without a row bills no order yet. A line grouped against several lines of one order lists them, with what it bills each, in order_lines. Lines assigned to an order outside your access are restricted.
List which purchase order each invoice line bills
curl --request GET \
--url https://api.watchdog.no/v1/invoices/{id}/purchase-orders/allocations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.watchdog.no/v1/invoices/{id}/purchase-orders/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.watchdog.no/v1/invoices/{id}/purchase-orders/allocations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"restricted": false,
"invoice_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": "line",
"purchase_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purchase_order_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_lines": [
{
"purchase_order_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billed_amount": "<string>",
"billed_quantity": "<string>"
}
],
"basis": "reference"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"message": "The request is invalid. details lists up to 20 field errors. Request bodies are limited to 2 MiB.",
"request_id": "req_example"
}
}{
"error": {
"code": "invalid_token",
"message": "The bearer token is missing or invalid.",
"request_id": "req_example"
}
}{
"error": {
"code": "forbidden",
"message": "Access denied. The error code says why: forbidden, token_disabled, organization_required, insufficient_role or mfa_required.",
"request_id": "req_example"
}
}{
"error": {
"code": "not_found",
"message": "The resource does not exist in the current organization.",
"request_id": "req_example"
}
}{
"error": {
"code": "conflict",
"message": "The invoice, accepted relationship, currency or order lifecycle is not eligible for this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Wait for the Retry-After delay before retrying.",
"request_id": "req_example"
}
}{
"error": {
"code": "internal_error",
"message": "Unexpected server failure. Include the request ID when contacting support.",
"request_id": "req_example"
}
}{
"error": {
"code": "service_unavailable",
"message": "Temporarily unavailable. Retry after the Retry-After delay, when provided.",
"request_id": "req_example"
}
}